#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	The 3D Studio File Format Library
Summary(pl.UTF-8):	Biblioteka obsługująca format plików 3D Studio
Name:		lib3ds
Version:	1.3.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/lib3ds/%{name}-%{version}.zip
# Source0-md5:	2572f7b0f29b591d494c1a0658b35c86
URL:		http://lib3ds.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.4
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lib3ds is a free alternative to Autodesk's 3DS File Toolkit for
handling 3DS files. It's main goal is to simplify the creation of 3DS
import and export filters.

This project is not related in any form to Autodesk. The library is
based on unofficial information about the 3DS format found on the web.

%description -l pl.UTF-8
lib3ds to wolnodostępna alternatywa dla 3DS File Toolkit Autodeska do
obsługi plików 3DS. Głównym celem biblioteki jest uproszczenie
tworzenia filtrów importujących i eksportujących 3DS.

Projekt nie jest w żaden sposób związany z Autodeskiem. Biblioteka
jest oparta na nieoficjalnych informacjach o formacie 3DS znalezionych
w sieci.

%package devel
Summary:	lib3ds header files
Summary(pl.UTF-8):	Pliki nagłówkowe lib3ds
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
lib3ds header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe lib3ds.

%package static
Summary:	Static lib3ds library
Summary(pl.UTF-8):	Statyczna biblioteka lib3ds
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lib3ds library.

%description static -l pl.UTF-8
Statyczna biblioteka lib3ds.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
#CPPFLAGS="-I/usr/X11R6/include" - but GL/glut is used only for noinst_PROGRAMS
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/3dsdump
%attr(755,root,root) %{_libdir}/lib3ds-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/lib3ds-1.so.3
%{_mandir}/man1/3dsdump.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lib3ds-config
%attr(755,root,root) %{_libdir}/lib3ds.so
%{_libdir}/lib3ds.la
%{_includedir}/lib3ds
%{_aclocaldir}/lib3ds.m4
%{_mandir}/man1/lib3ds-config.1*
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib3ds.a
%endif
%changelog
* Thu Dec 31 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lib3ds.git;a=log;h=master

* Wed Dec 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 3cb0ec4
- updated to 1.3.0
- removed obsolete am18,shared patches (upstream shared library has new soname)

* Mon Jul 23 2007 Jakub Bogusz <qboosh@pld-linux.org> cc4e642
- thinko

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> 347788c
- added missing #

* Sun Jul 22 2007 witekfl <witekfl@pld-linux.org> 699a5ce
- added bcond_without static_libs
- run sed -i (Package didn't build before.)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 13bb63a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4102f90
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 8fc079e
- strict internal deps

* Mon Jan 05 2004 ankry <ankry@pld-linux.org> 71440cc
- new head/tail syntax

* Sun Dec 28 2003 Jakub Bogusz <qboosh@pld-linux.org> f2106fd
- added am18 patch (lib3ds.m4 quotation fix), release 2

* Sun Dec 28 2003 Jakub Bogusz <qboosh@pld-linux.org> ba47d56
- lib3ds.m4 quotation fix

* Tue May 27 2003 trojan <trojan@pld-linux.org> 6128300
- added Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 22fb4aa
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Mar 24 2003 Jakub Bogusz <qboosh@pld-linux.org> f79b3a7
- new, spec taken from package and almost rewritten
- build shared library (using patch)

